com.datecs.linea

## Class LineaProException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - com.datecs.linea.LineaProException

- All Implemented Interfaces:
    java.io.Serializable

      public class LineaProException
      extends java.io.IOException

  Signals that an exception of some sort has occurred due execution of Linea Pro operation.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `ERROR_BUSY` Busy.
    `static int` | `ERROR_COM` COM error.
    `static int` | `ERROR_CONFIG` Configuration error.
    `static int` | `ERROR_CRYPT` Crypt error.
    `static int` | `ERROR_EMV` EMV error.
    `static int` | `ERROR_FIRST_DATA` First data.
    `static int` | `ERROR_FLASH` Flash error.
    `static int` | `ERROR_GENERAL` General error.
    `static int` | `ERROR_INVALID_AUTH` Invalid authentication.
    `static int` | `ERROR_INVALID_COMMAND` Invalid command.
    `static int` | `ERROR_INVALID_KEY` Invalid key.
    `static int` | `ERROR_INVALID_LENGTH` Invalid length.
    `static int` | `ERROR_INVALID_VALUE` Invalid value.
    `static int` | `ERROR_LAST_DATA` Last data.
    `static int` | `ERROR_NO` No error.
    `static int` | `ERROR_NO_DATA` No data.
    `static int` | `ERROR_NO_PERM` No permission.
    `static int` | `ERROR_OUT_OF_MEMORY` Out of memory.
    `static int` | `ERROR_TAMPERED` Tampered.
    `static int` | `ERROR_TIMEOUT` Timeout.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LineaProException(int errorCode)` Initializes a new instance of the class with its error code.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getErrorCode()` Gets the error code that raise the exception.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ERROR_NO

          public static final int ERROR_NO

      No error.
      See Also:
        Constant Field Values

    - #### ERROR_GENERAL

          public static final int ERROR_GENERAL

      General error.
      See Also:
        Constant Field Values

    - #### ERROR_INVALID_LENGTH

          public static final int ERROR_INVALID_LENGTH

      Invalid length.
      See Also:
        Constant Field Values

    - #### ERROR_INVALID_VALUE

          public static final int ERROR_INVALID_VALUE

      Invalid value.
      See Also:
        Constant Field Values

    - #### ERROR_INVALID_COMMAND

          public static final int ERROR_INVALID_COMMAND

      Invalid command.
      See Also:
        Constant Field Values

    - #### ERROR_TIMEOUT

          public static final int ERROR_TIMEOUT

      Timeout.
      See Also:
        Constant Field Values

    - #### ERROR_NO_PERM

          public static final int ERROR_NO_PERM

      No permission.
      See Also:
        Constant Field Values

    - #### ERROR_INVALID_KEY

          public static final int ERROR_INVALID_KEY

      Invalid key.
      See Also:
        Constant Field Values

    - #### ERROR_INVALID_AUTH

          public static final int ERROR_INVALID_AUTH

      Invalid authentication.
      See Also:
        Constant Field Values

    - #### ERROR_BUSY

          public static final int ERROR_BUSY

      Busy.
      See Also:
        Constant Field Values

    - #### ERROR_NO_DATA

          public static final int ERROR_NO_DATA

      No data.
      See Also:
        Constant Field Values

    - #### ERROR_FIRST_DATA

          public static final int ERROR_FIRST_DATA

      First data.
      See Also:
        Constant Field Values

    - #### ERROR_LAST_DATA

          public static final int ERROR_LAST_DATA

      Last data.
      See Also:
        Constant Field Values

    - #### ERROR_COM

          public static final int ERROR_COM

      COM error.
      See Also:
        Constant Field Values

    - #### ERROR_FLASH

          public static final int ERROR_FLASH

      Flash error.
      See Also:
        Constant Field Values

    - #### ERROR_CRYPT

          public static final int ERROR_CRYPT

      Crypt error.
      See Also:
        Constant Field Values

    - #### ERROR_OUT_OF_MEMORY

          public static final int ERROR_OUT_OF_MEMORY

      Out of memory.
      See Also:
        Constant Field Values

    - #### ERROR_CONFIG

          public static final int ERROR_CONFIG

      Configuration error.
      See Also:
        Constant Field Values

    - #### ERROR_EMV

          public static final int ERROR_EMV

      EMV error.
      See Also:
        Constant Field Values

    - #### ERROR_TAMPERED

          public static final int ERROR_TAMPERED

      Tampered.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### LineaProException

          public LineaProException(int errorCode)

      Initializes a new instance of the class with its error code.
      Parameters:
        `errorCode` - the error code that raise the exception.

  - ### Method Detail

    - #### getErrorCode

          public int getErrorCode()

      Gets the error code that raise the exception.
      Returns:
        the error code.

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Throwable`